﻿/**
 * @author Robert Brauer (MI05-HS-BREMEN)
 * @version 1.0
 *
 * Item
 *
 * representiert eine Door des Spiels und verwaltet seinen Eigenschaften
 */

class Door
{	
	////Objekt Variablen
	
	private var nXOrdinate:Number;
	private var nYOrdinate:Number;
	private var sFrameGraphicPath:String;
	private var sDoorGraphicPath:String;
	private var sRequirement:String;
	private var nDirection:Number;
	
	////Konstruktor
	
	public function Door(xOrdinate:Number,yOrdinate:Number,frameGraphicPath:String,doorGraphicPath:String,dir:Number,requirement:String)
	{
		this.nXOrdinate        = xOrdinate;
		this.nYOrdinate        = yOrdinate;
		this.sFrameGraphicPath = frameGraphicPath;
		this.sDoorGraphicPath  = doorGraphicPath;
		this.nDirection        = dir;
		this.sRequirement      = requirement;
	}
	
	////getties, setties
	
	public function get dir():Number
	{
		return this.nDirection;
	}
	
	public function set dir(dir:Number):Void
	{
		this.nDirection = dir;
	}
	
	public function get xO():Number
	{
		return this.nXOrdinate;
	}
	
	public function set xO(xO:Number):Void
	{
		this.nXOrdinate = xO;
	}
	
	public function get yO():Number
	{
		return this.nYOrdinate;
	}
	
	public function set yO(yO:Number):Void
	{
		this.nYOrdinate = yO;
	}

	public function get requirement():String
	{
		return this.sRequirement;
	}
	
	public function set requirement(requirement:String):Void
	{
		this.sRequirement = requirement;
	}
	
	public function get frameGraphicPath():String
	{
		return this.sFrameGraphicPath;
	}
	
	public function set frameGraphicPath(frameGraphicPath:String):Void
	{
		this.sFrameGraphicPath = frameGraphicPath;
	}
	
	public function get doorGraphicPath():String
	{
		return this.sDoorGraphicPath;
	}
	
	public function set doorGraphicPath(doorGraphicPath:String):Void
	{
		this.sDoorGraphicPath = doorGraphicPath;
	}
	
	////toAnything-methoden
	
	public function toString():String 
	{
		return "Door.as -> x:"+this.nXOrdinate+" y:"+this.nYOrdinate;
	}
}
