﻿/**
 * @author Robert Brauer (MI05-HS-BREMEN)
 * @version 1.0
 *
 * Item
 *
 * representiert ein Goal des Spiels und verwaltet seinen Eigenschaften
 */

class Goal
{	
	////Objekt Variablen
	
	private var nXOrdinate:Number;
	private var nYOrdinate:Number;
	private var bPersecution:Boolean;
	private var sGraphicPath:String;
	
	////Konstruktor
	
	public function Goal(xOrdinate,yOrdinate,graphicPath)
	{
		this.nXOrdinate   = xOrdinate;
		this.nYOrdinate   = yOrdinate;
		this.sGraphicPath = graphicPath;
	}

	////getties, setties
	
	public function get xO():Number
	{
		return this.nXOrdinate;
	}
	
	public function set xO(xO:Number):Void
	{
		this.nXOrdinate = xO;
	}
	
	public function get yO():Number
	{
		return this.nYOrdinate;
	}
	
	public function set yO(yO:Number):Void
	{
		this.nYOrdinate = yO;
	}
	
	public function get graphicPath():String
	{
		return this.sGraphicPath;
	}
	
	public function set graphicPath(graphicPath:String):Void
	{
		this.sGraphicPath = graphicPath;
	}
	
	////toAnything-methoden
	
	public function toString():String 
	{
		return "Goal.as -> x:"+this.nXOrdinate+" y:"+this.nYOrdinate+" path:"+this.sGraphicPath;
	}
}
