﻿/**
 * @author Robert Brauer (MI05-HS-BREMEN)
 * @version 1.0
 *
 * Item
 *
 * representiert einen Opponent des Spiels und verwaltet seinen Eigenschaften
 */

class Opponent
{	
	////Objekt Variablen
	
	private var nXOrdinate:Number;
	private var nYOrdinate:Number;
	private var nDirection:Number;  //0,2<- 1,3->
	private var bPersecution:Boolean;
	
	////Konstruktor
	
	public function Opponent(xOrdinate:Number,yOrdinate:Number,dir:Number,persecution:Boolean)
	{
		this.nXOrdinate   = xOrdinate;
		this.nYOrdinate   = yOrdinate;
		this.nDirection   = dir;
		this.bPersecution = persecution;
	}
	
	////getties, setties
	
	public function get dir():Number
	{
		return this.nDirection;
	}
	
	public function set dir(dir:Number):Void
	{
		this.nDirection = dir;
	}
	
	public function get xO():Number
	{
		return this.nXOrdinate;
	}
	
	public function set xO(xO:Number):Void
	{
		this.nXOrdinate = xO;
	}
	
	public function get yO():Number
	{
		return this.nYOrdinate;
	}
	
	public function set yO(yO:Number):Void
	{
		this.nYOrdinate = yO;
	}
	
	public function get persecution():Boolean
	{
		return this.bPersecution;
	}
	
	public function set persecution(persecution:Boolean):Void
	{
		this.bPersecution = persecution;
	}
	
	////toAnything-methoden
	
	public function toString():String 
	{
		return "Opponent.as -> x:"+this.nXOrdinate+" y:"+this.nYOrdinate;
	}
}
