﻿/**
 * @author Robert Brauer (MI05-HS-BREMEN)
 * @version 1.0
 *
 * Item
 *
 * representiert ein Wall des Spiels und verwaltet seinen Eigenschaften
 */

class Wall
{	
	////Objekt Variablen
	
	private var nXOrdinate:Number;
	private var nYOrdinate:Number;
	private var nDirection:Number;  //0,2<- 1,3->
	private var sGraphicPath:String;
	
	////Konstruktor
	
	public function Wall(xOrdinate:Number,yOrdinate:Number,graphicPath:String,dir:Number)
	{
		this.nXOrdinate   = xOrdinate;
		this.nYOrdinate   = yOrdinate;
		this.sGraphicPath = graphicPath;
		this.nDirection   = dir;
	}
	
	////getties, setties
	
	public function get dir():Number
	{
		return this.nDirection;
	}
	
	public function set dir(dir:Number):Void
	{
		this.nDirection = dir;
	}
	
	public function get xO():Number
	{
		return this.nXOrdinate;
	}
	
	public function set xO(xO:Number):Void
	{
		this.nXOrdinate = xO;
	}
	
	public function get yO():Number
	{
		return this.nYOrdinate;
	}
	
	public function set yO(yO:Number):Void
	{
		this.nYOrdinate = yO;
	}
	
	public function get graphicPath():String
	{
		return this.sGraphicPath;
	}
	
	public function set graphicPath(graphicPath:String):Void
	{
		this.sGraphicPath = graphicPath;
	}
	
	////toAnything-methoden
	
	public function toString():String 
	{
		return "WAll.as -> x:"+this.nXOrdinate+" y:"+this.nYOrdinate+" path:"+this.sGraphicPath;
	}
}
